#!/bin/sh
export TITLE="RSS Feeds"

find_feeds() {
	find 2>&- /home/*/public_html -maxdepth 2 -type f \
		\( -iname '*.rss' -o -iname '*.xml' \! -iname sitemap.xml \) |\
		sed 's/\/home\/\([^\/]*\)\/public_html/~\1/'
}

markdown <<MD | ./template.html.sh
### RSS/Atom feeds found on tilde.town

News feeds are a great way to find out about new things people are doing. Here
are some feeds that users have set up on ~town:

$(find_feeds | awk '{ printf "- [%s](/%s)\n", $1, $1 }')

*TODO*: make an opml file for this

MD
